#
# spec file for package open-iscsi (Version 2.0.866)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils bison brp-check-internal bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils flex gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg pam pam-modules patch perl perl-base permissions popt post-build-checks rpm sed sysvinit tar texinfo timezone util-linux zlib


Name:           open-iscsi
Url:            http://www.open-iscsi.org
License:        GPL v2 or later
Group:          Productivity/Networking/Other
PreReq:         %fillup_prereq %insserv_prereq
BuildRequires:  bison flex
AutoReqProv:    on
Version:        2.0.866
Release:        15.4
Provides:       linux-iscsi
Obsoletes:      linux-iscsi
%define iscsi_release 865
Summary:        Linux* Open-iSCSI Software Initiator
Source:         %{name}-2.0-865.tar.bz2
Source3:        boot.open-iscsi
Source11:       iscsi-gen-initiatorname.sh
Patch1:         %{name}-866.diff
Patch2:         %{name}-git-update
Patch13:        %{name}-suse-init-fixes
Patch14:        %{name}-fwparam_ppc
Patch21:        %{name}-check-active-sessions-before-delete
Patch23:        %{name}-umount-all-luns
Patch24:        %{name}-dont-overwrite-nodes-on-rediscover
Patch25:        %{name}-fixup-init-script
Patch26:        %{name}-do-not-use-temp-file-in-iscsi_discovery
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Open-iSCSI is a high-performance, transport independent, multi-platform
implementation of RFC3720 iSCSI.

Open-iSCSI is partitioned into user and kernel parts.

The kernel portion of Open-iSCSI is a from-scratch code licensed under
GPL. The kernel part implements iSCSI data path (that is, iSCSI Read
and iSCSI Write), and consists of two loadable modules: iscsi_if.ko and
iscsi_tcp.ko.

User space contains the entire control plane: configuration manager,
iSCSI Discovery, Login and Logout processing, connection-level error
processing, Nop-In and Nop-Out handling, and (in the future:) Text
processing, iSNS, SLP, Radius, etc.

The user space Open-iSCSI consists of a daemon process called iscsid,
and a management utility iscsiadm.



Authors:
--------
    open-iscsi@googlegroups.com

%debug_package
%prep
%setup -n %{name}-2.0-%{iscsi_release}
%patch1
%patch2 -p1
%patch23 -p1
%patch13 -p1
%patch14 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1

%build
%ifarch %ix86 x86_64
%define target_arch x86
%else
%ifarch ppc ppc64
%define target_arch ppc
%else
%define target_arch none
%endif
%endif
%{__make} OPTFLAGS="${RPM_OPT_FLAGS}" -C usr
%{__make} OPTFLAGS="${RPM_OPT_FLAGS}" -C utils
%{__make} OPTFLAGS="${RPM_OPT_FLAGS}" -C utils/fwparam_ibft
%{__make} OPTFLAGS="${RPM_OPT_FLAGS}" -C utils/fwparam_ppc

%install
[ "${RPM_BUILD_ROOT}" != "/" -a -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install_programs
make DESTDIR=${RPM_BUILD_ROOT} install_etc
make DESTDIR=${RPM_BUILD_ROOT} install_initd_suse
make DESTDIR=${RPM_BUILD_ROOT} install_doc
install -D -m 755 %{S:11} ${RPM_BUILD_ROOT}/sbin/iscsi-gen-initiatorname
install -D -m 755 %{S:3} ${RPM_BUILD_ROOT}/etc/init.d/boot.open-iscsi
(cd ${RPM_BUILD_ROOT}/sbin; ln -sf /etc/init.d/open-iscsi rcopen-iscsi)
(cd ${RPM_BUILD_ROOT}/etc; ln -sf iscsi/iscsid.conf iscsid.conf)

%clean
[ "${RPM_BUILD_ROOT}" != "/" -a -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT}

%post
%{fillup_and_insserv -Y boot.open-iscsi}
if [ -f /etc/initiatorname.iscsi ] ; then
    mv /etc/initiatorname.iscsi /etc/iscsi
    ln -sf /etc/iscsi/initiatorname.iscsi /etc/initiatorname.iscsi
fi
if [ ! -f /etc/iscsi/initiatorname.iscsi ] ; then
    /sbin/iscsi-gen-initiatorname
fi

%postun
%{insserv_cleanup}

%preun
%{stop_on_removal open-iscsi}

%files
%defattr(-,root,root)
%attr(0600,root,root) %config(noreplace) /etc/iscsi/iscsid.conf
/etc/iscsid.conf
%config /etc/init.d/open-iscsi
%config /etc/init.d/boot.open-iscsi
/sbin/*
%dir /etc/iscsi
%doc COPYING README
%doc %{_mandir}/man8/*

%changelog
* Wed Aug 19 2009 - hare@suse.de
- Do not use temp file in iscsi_discovery (bnc#528711)
* Thu Dec 06 2007 - hare@suse.de
- Fix boot scripts (#334482)
- Don't overwrite nodes on rediscover (#278172)
* Mon Jul 09 2007 - hare@suse.de
- update to svn r866
- include latest git patches
* Wed Apr 04 2007 - hare@suse.de
- update to official release 2.0-754
- update to svn r779
- Include changes from SLES10 SP1
* Fri Mar 30 2007 - hare@suse.de
- Include fwparam_ibft program for OpenPROM (#226682)
* Wed Mar 28 2007 - hare@suse.de
- Return status '6' when root on iSCSI is not enabled (#257979)
* Fri Mar 16 2007 - hare@suse.de
- Fix typo in output of fwparam_ibft (#250445)
* Thu Mar 08 2007 - hare@suse.de
- connect() to the daemon might fail on busy machines (#244649)
* Mon Mar 05 2007 - hare@suse.de
- Add /usr/bin/iscsi-dbconvert to convert SLES10 GA
  databases to new format (#251298)
* Fri Feb 16 2007 - hare@suse.de
- Fix iscsiadm to print session info correctly (#243203)
* Thu Feb 08 2007 - hare@suse.de
- update to svn r768
  - Update iSNS support (#243203)
- Correct typo in /etc/init.d/boot.open-iscsi (#243203)
* Fri Feb 02 2007 - hare@suse.de
- Umount all luns on shutdown (#223484)
* Wed Jan 31 2007 - hare@suse.de
- Remove the start iSCSI after Xen hack (#231077)
- Fixup /etc/init.d/boot.open-iscsi script (#239819)
* Thu Jan 18 2007 - hare@suse.de
- Fix compat mode to display the record id.
- Add /sbin/iscsi-gen-initiatorname to generate
  a default iSCSI initiatorname.
* Mon Jan 15 2007 - hare@suse.de
-  Fixup %%post scripts.
* Mon Jan 15 2007 - hare@suse.de
- Reference symlink to /etc/iscsid.conf in rpm.
* Fri Oct 20 2006 - hare@suse.de
- Update to svn r713
- Use /dev/urandom instead of rand() (#180837)
- Fixup init script
* Fri Oct 06 2006 - hare@suse.de
- Update to official version 2.0-707
* Fri Jul 28 2006 - olh@suse.de
- remove unused boot.proc from boot.open-iscsi (#181972)
* Mon Jun 19 2006 - hare@suse.de
- update to svn r606
  - Include local patches
  - Fix OCFS2 hangs (#185107, #180773)
* Thu Jun 01 2006 - hare@suse.de
- Added new startmode 'onboot' for root on iSCSI
- Added new init script boot.open-iscsi startup
  iscsid as early as possible (#176804)
* Wed May 31 2006 - hare@suse.de
- update to svn r595
  - Include local patches
  - Fix lockup on target restart for real (#176151)
* Mon May 22 2006 - hare@suse.de
- update to svn r581
  - Fix lockup when target is restarted (#176151)
- Start open-iscsi after Xen (#177381)
* Fri May 19 2006 - hare@suse.de
- update to svn r574
  - Fix machine hang during error recovery (#174166)
- Display chap secrets for yast (#149055)
* Tue May 02 2006 - hare@suse.de
- update to svn r564
  (contains all local changes)
* Wed Apr 26 2006 - wrwhitehead@novell.com
- Fix communication hang (#157463).
- The iscsi-tcp_data_ready callback needs to empty out the
  tcp receive queue rather than just rely on the callback to
  occur for every message in the receive queue.
* Fri Apr 21 2006 - hare@suse.de
- update to svn r545
  Fixes a crash with Wasabi targets (#157463).
* Wed Mar 22 2006 - hare@suse.de
- Add rcopen-iscsi link (#158230)
- Check for active records before deletion (#149935)
- Do not display error messages on startup if no
  records are found.
* Fri Mar 10 2006 - hare@suse.de
- Update to svn r520 (contains all local changes)
- Add documentation for discovery types (#149936)
* Tue Feb 28 2006 - hare@suse.de
- Fixed type of portal_group_tag (#153638)
* Tue Feb 21 2006 - hare@suse.de
- Fixed open-iscsi startup script (#148982)
* Mon Feb 20 2006 - hare@suse.de
- Update to svn r495
- Implement iSCSI boot support (FATE #140350)
* Thu Feb 09 2006 - hare@suse.de
- Update to svn r488 to match kernel revision
  (#149412).
- Remove obsolete patches.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 - hare@suse.de
- Update to svn r473
- Enhance start script
- Fix appearent login failures.
* Fri Jan 20 2006 - hare@suse.de
- Update to svn r471
- Fix start script.
* Mon Jan 16 2006 - hare@suse.de
- Add Provides/Obsoletes tag.
* Fri Jan 13 2006 - hare@suse.de
- Rebasing package to open-iscsi-0.5-454
- Update to svn r457
* Mon Dec 19 2005 - hare@suse.de
- Update to svn r446.
* Thu Nov 03 2005 - hare@suse.de
- Update to svn r436.
* Thu Sep 08 2005 - hare@suse.de
- Update to svn r408.
  (Added NOOP IN handling)
- Removed obsolete patches
* Mon Aug 22 2005 - hare@suse.de
- Update to svn r401.
- Fixed package to install properly.
- Fixed init script
- Added iscsi-iname to generate iSCSI Initiatorname.
* Mon Aug 08 2005 - hare@suse.de
- Update to svn r389.
* Thu Jul 07 2005 - hare@suse.de
- Initial version 0.3rc6-369
